Admin Membership Calls ---------------------- Check the status of a membership (from an email addresss) ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ .. note:: This call uses a cached dataset for speed. If you want to check on the status of a member that has only just been modified use the `realtime=true` paramater .. code-block:: http http https://api.sheepcrm.com/api/v1/bgci/user/membership/ email==james@sheepcrm.com "Authorization: Bearer $API_KEY" HTTP/1.1 200 OK { "active_memberships_for_display": [ "Membership Grade F" ], "first_name": "James", "last_name": "Webster", "member_since": "2019-01-01T00:00:00", "member_till": "2021-01-01T00:00:00", "member_till_plus_grace": "2021-12-31T00:00:00", "membership_numbers": [ "EAB54" ], "membership_record_status": "active", "person": "/example/person/5e3453b40b915a4c234a36ab/", "photo": null, "photo-avatar": null, "primary_email": "james@sheepcrm.com" } Activate a pending membership ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ | ``http POST https://api.sheepcrm.com/api/v1/$FLOCK/member/{UID}/activate/ Authorization:"Bearer $API_KEY"`` Cancel a membership ^^^^^^^^^^^^^^^^^^^ | ``http POST https://api.sheepcrm.com/api/v1/$FLOCK/member/{UID}/cancel/ Authorization:"Bearer $API_KEY"`` Renew a membership ^^^^^^^^^^^^^^^^^^ | ``http POST https://api.sheepcrm.com/api/v1/$FLOCK/member/{UID}/renew/ Authorization:"Bearer $API_KEY"`` Remove payment plan from membership ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Remove the payment plan from the membership after checking that no future payments exist | ``http POST https://api.sheepcrm.com/api/v1/$FLOCK/member/{UID}/remove_payment_plan/ Authorization:"Bearer $API_KEY"`` Unpack payment planfrom membership ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Create payments based on the schedule defined in the payment plan | ``http POST https://api.sheepcrm.com/api/v1/$FLOCK/member/{UID}/unpack_payment_plan/ Authorization:"Bearer $API_KEY"`` Unpack payment planfrom membership ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^ Delete any future payments that are associated with the payment plan | ``http POST https://api.sheepcrm.com/api/v1/$FLOCK/member/{UID}/delete_future_scheduled_payments/ Authorization:"Bearer $API_KEY"`` Membership certificate ^^^^^^^^^^^^^^^^^^^^^^ Note: no auth required. | ``http GET https://api.sheepcrm.com/api/v1/public/$FLOCK/member/{UID}/certificate/`` optional parameters :template: Registered certificate template. default is `sheep-membership-certificate-a4` Membership invoice ^^^^^^^^^^^^^^^^^^ Note: no auth required. | ``http GET https://api.sheepcrm.com/api/v1/public/$FLOCK/member/{UID}/invoice/`` optional parameters :template: Registered certificate template. default is `sheep-invoice-a4` If no invoice exists for the membership a PDF with a missing invoice message will be returned. Admin Invoice Calls ------------------- Invoice PDF ^^^^^^^^^^^ Note: no auth required. | ``http GET https://api.sheepcrm.com/api/v1/public/$FLOCK/quote/{UID}/pdf/`` optional parameters :template: Registered certificate template. default is `sheep-invoice-a4` Admin Event Calls ----------------- Ticket Rebase ^^^^^^^^^^^^^ Move the event date on the ticket to match the start date of the booking. When a booking moves dates usually (but not always) you will want to move the event tickets too. This method provides a way to bulk change all ticket dates. | ``http PUT https://api.sheepcrm.com/api/v1/$FLOCK/booking/{UID}/ticket_rebase/ Authorization:"Bearer $API_KEY"`` Event trigger configuration --------------------------- View the trigger configuration (which actions are connected to which clients) .. code-block:: http $ http https://api.sheepcrm.com/api/v1/$FLOCK/triggers/ "Authorization: Bearer $API_KEY" HTTP/1.0 200 OK { "expiring_1wk": [ { "action": "send-templated-email", "template": "expiring_1wk" } ], "expiring_2wk": [ { "action": "send-templated-email", "template": "expiring_2wk" } ], "expiring_soon": [ { "action": "send-templated-email", "template": "expiring_soon" } ], ... {